Bug 588194 - (quickly) Review Request: quickly - Command line tools to ease the creation of a new project
Review Request: quickly - Command line tools to ease the creation of a new pr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 01:58 EDT by Mohammed Imran
Modified: 2010-12-26 01:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-26 01:54:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: fedora‑review?


Attachments (Terms of Use)
build log for failed build (4.56 KB, text/x-log)
2010-06-10 07:49 EDT, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description Mohammed Imran 2010-05-03 01:58:43 EDT
Spec URL: http://github.com/downloads/matriux/fedora/quickly.spec
SRPM URL: http://github.com/downloads/matriux/fedora/quickly-0.4.2-1.fc11.src.rpm
Description:
Quickly helps you create software programs (and other things) quickly. You 
can select from a set of application templates and use some simple quickly 
commands to create, edit code and GUI, and publish your software for others 
to use. Quickly's templates are easy to write.

Rpm lint 
============
[imran@localhost SPECS]$ rpmlint quickly.spec ../SRPMS/quickly-0.4.2-1.fc11.src.rpm ../RPMS/noarch/quickly-0.4.2-1.fc11.noarch.rpm 
quickly.noarch: E: non-executable-script /usr/share/quickly/templates/ubuntu-pygame/project_root/setup.py 0644 /usr/bin/env
quickly.noarch: E: non-executable-script /usr/share/quickly/templates/ubuntu-application/test/internal/apport-test-script.sh 0644 /bin/bash
quickly.noarch: E: non-executable-script /usr/share/quickly/templates/ubuntu-application/project_root/setup.py 0644 /usr/bin/env
quickly.noarch: E: non-executable-script /usr/share/quickly/templates/ubuntu-cli/project_root/bin/project_name 0644 /usr/bin/python
quickly.noarch: E: non-executable-script /usr/share/quickly/templates/ubuntu-application/project_root/bin/project_name 0644 /usr/bin/python
quickly.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/quickly/version.py 0644 /usr/bin/env
quickly.noarch: W: non-conffile-in-etc /etc/bash_completion.d/quickly
quickly.noarch: E: non-executable-script /usr/share/quickly/templates/ubuntu-cli/project_root/setup.py 0644 /usr/bin/env
quickly.noarch: E: non-executable-script /usr/share/quickly/templates/ubuntu-pygame/project_root/bin/project_name 0644 /usr/bin/env
quickly.noarch: E: non-executable-script /usr/share/quickly/templates/ubuntu-application/test/internal/test-project.no_lpi 0644 /usr/bin/python
2 packages and 1 specfiles checked; 9 errors, 1 warnings.

Above errors can be ignored since the files are templates !!
Comment 1 Parag AN(पराग) 2010-05-04 06:50:42 EDT
I see you have done good reviews. So I am going to sponsor you now and therefore removing FE-NEEDSPONSOR.
Comment 2 Jochen Schmitt 2010-05-06 14:02:22 EDT
I see, that you are creating a python releated package. So it may be nice, if you can have a look about the python3-compatibility of your package.

Depending of the result of your research, it may be nice, if you can define the BRs as described in

https://fedoraproject.org/wiki/Packaging:Python
Comment 3 Ankur Sinha (FranciscoD) 2010-05-07 01:06:59 EDT
hey,

a quick review:

[Package@Ankur SPECS]$ rpmlint quickly.spec ../SRPMS/quickly-0.4.2-1.fc11.src.rpm 
quickly.src: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
quickly.src: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
1 packages and 1 specfiles checked; 0 errors, 2 warnings.

## Looking at the spec ##

- Aren't you going to build and install separately?

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

This way the correct build flags will be used. 

- For the %install section too, please replace "python" by "%{__python}".

- add brackets to %name for %find_lang.

- whats line 37 for?

- use something on the lines of 

%{python_sitelib}/nautilus_pastebin-*-py?.?.egg-info

for egg info, its just a little more informative. 

I'll do a detailed review within the week, hopefully.

regards,
Ankur
Comment 5 Ankur Sinha (FranciscoD) 2010-05-14 16:16:17 EDT
review


+ OK
- NA
? ISSUE


+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
+ Sources match upstream md5sum:

[Ankur@localhost SPECS]$ md5sum quickly_0.4.2.orig.tar.gz ../SOURCES/quickly_0.4.2.orig.tar.gz 
bcb01f8f70d6f082595a05aa089cc168  quickly_0.4.2.orig.tar.gz
bcb01f8f70d6f082595a05aa089cc168  ../SOURCES/quickly_0.4.2.orig.tar.gz


- Package needs ExcludeArch
+ BuildRequires correct

Please recheck this

+ Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
+ Package has a correct %clean section.
+ Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ Package is code or permissible content.
- Doc subpackage needed/used.
? Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

? Package compiles and builds on at least one arch.
FAILS for rawhide?
http://koji.fedoraproject.org/koji/taskinfo?taskID=2188701

it looks like its to do with the version of distutils? please check this. 

+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
+ No rpmlint output.

- final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)

will check once build successfully.

SHOULD Items:

? Should build in mock.
failed koji

? Should build on all supported archs
? Should function as described.

not checked yet

- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
- Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1.doc files should include the NEWS etc too , please add them
2. fails to build, please build in mock and recheck

Please look into the issues, ill continue the review once these are cleared. 

Ankur
Comment 6 Mohammed Imran 2010-06-04 10:04:52 EDT
Thanks for the review Ankur

Please use the following koji build rpm,since package needs python-distutils-extra >= 2.18

http://kojipkgs.fedoraproject.org/packages/python-distutils-extra/2.19/1.fc14/noarch/python-distutils-extra-2.19-1.fc14.noarch.rpm

Updated 

spec : http://github.com/downloads/matriux/fedora/quickly.spec
srpm : http://github.com/downloads/matriux/fedora/quickly-0.4.2-3.fc12.src.rpm
Comment 7 Ankur Sinha (FranciscoD) 2010-06-10 07:48:56 EDT
(In reply to comment #6)
> Thanks for the review Ankur
> 
> Please use the following koji build rpm,since package needs
> python-distutils-extra >= 2.18
> 
> http://kojipkgs.fedoraproject.org/packages/python-distutils-extra/2.19/1.fc14/noarch/python-distutils-extra-2.19-1.fc14.noarch.rpm
> 
> Updated 
> 
> spec : http://github.com/downloads/matriux/fedora/quickly.spec
> srpm : http://github.com/downloads/matriux/fedora/quickly-0.4.2-3.fc12.src.rpm    


hi,

It doesn't build in mock here. Have you tried building it in mock?

Error log is attached.( Failure is not because of a wrong python-distutils-extra )

regards,
Ankur
Comment 8 Ankur Sinha (FranciscoD) 2010-06-10 07:49:58 EDT
Created attachment 422879 [details]
build log for failed build

config was fedora-rawhide-i386
Comment 9 Ankur Sinha (FranciscoD) 2010-07-09 03:26:21 EDT
ping? :)
Comment 10 Parag AN(पराग) 2010-08-05 00:34:29 EDT
ping any progress here
Comment 11 Ankur Sinha (FranciscoD) 2010-12-26 01:54:15 EST
Hello,

I'm closing this one as a wontfix. It's been 6 months since the submitter last replied. Please open a fresh review request when required. 

regards,
Ankur

Note You need to log in before you can comment on or make changes to this bug.